
From: Nick Piggin <nickpiggin@yahoo.com.au>

Without disturbing the read/write ratio, increase the bathc expiry
intervals.  This wil have the effect of increasing latency a little, but
with improved throughput.


---

 25-akpm/drivers/block/as-iosched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/block/as-iosched.c~as-increase-batch-expiry drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~as-increase-batch-expiry	2004-04-14 23:10:13.388840344 -0700
+++ 25-akpm/drivers/block/as-iosched.c	2004-04-14 23:10:13.398838824 -0700
@@ -43,7 +43,7 @@
  * read_batch_expire describes how long we will allow a stream of reads to
  * persist before looking to see whether it is time to switch over to writes.
  */
-#define default_read_batch_expire (HZ / 4)
+#define default_read_batch_expire (HZ / 2)
 
 /*
  * write_batch_expire describes how long we want a stream of writes to run for.
@@ -51,7 +51,7 @@
  * See, the problem is: we can send a lot of writes to disk cache / TCQ in
  * a short amount of time...
  */
-#define default_write_batch_expire (HZ / 16)
+#define default_write_batch_expire (HZ / 8)
 
 /*
  * max time we may wait to anticipate a read (default around 6ms)

_
